Name is required.
Email address is required.
Invalid email address
Answer is required.
Exceeding max length of 5KB

CWE field in IScanIssue

August Jan 12, 2018 09:31PM UTC

I've noticed that XML exports of scan issues now include a <vulnerabilityClassifications> field that contains CWE information:

<vulnerabilityClassifications><![CDATA[<ul>
<li><a href="https://cwe.mitre.org/data/definitions/200.html">CWE-200: Information Exposure</a></li>
</ul>]]></vulnerabilityClassifications>

Nothing in the IScanIssue API (https://github.com/PortSwigger/burp-extender-api/blob/master/src/main/java/burp/IScanIssue.java) seems to mirror this functionality and XML exports from my extension-generated scan issues do not include this field. How can I add this information to my own extensions?


Paul Johnston Jan 15, 2018 08:15AM UTC Support Center agent

Hi August,

Thanks for getting in touch. Unfortunately, due to the way Java interfaces work, it’s not possible to add fields to an interface and maintain backwards compatibility. At present, that information is not available to extensions.

We do plan to do some API updates in the future. We’ll let you know when we make progress.


Post Your public answer

Your name
Your email address
Answer